void main( void )
{
int &dumb = create_sprite(360, 300, 0, 64, 1);
sp_hard(&dumb, 0);
draw_hard_sprite(&dumb);
sp_disabled(&dumb, 1);

sp_base_walk(&current_sprite, 370);
sp_speed(&current_sprite, 3);
sp_timing(&current_sprite, 0);
}

/* &crap = create_sprite(380,450, 9, 0, 0);
 freeze(&crap);
 sp_base_walk(&crap, 290);
 sp_base_attack(&crap, 720); 
 sp_speed(&crap, 1);
 sp_strength(&crap, 10);
 sp_touch_damage(&crap, 2);
 sp_timing(&crap, 0);
 move_stop(&crap, 7,250, 1);
 sp_target(&crap, 1);
 sp_hitpoints(&crap, 40);
*/
void hit( void )
{
  say("`3哼，大胆！", &current_sprite);
  sp_brain(&current_sprite, 9);
	sp_timing(&current_sprite, 0);
	sp_speed(&current_sprite, 3);
}
void attack( void )
{
playsound(36, 22050,0,&current_sprite, 0);
&mcounter = random(4000,0);
sp_attack_wait(&current_sprite, &mcounter);
say("`3杀了你杀了你！",&current_sprite);
}

void talk( void )
{
 freeze(1);
 choice_start();
        set_y 240
        set_title_color 3
        title_start();
"此路不是我开，此桥不是我开，要想打此过，留下200块。"
        title_end();
"给他钱"
"争吵"
"离开"
 choice_end();

  if (&result == 1)
  {

 if (&gold < 100)
 {
 wait(500);
 say_stop("`3你耍我啊？才这点钱！", &current_sprite);   
 unfreeze(1);
 return;
 }
 wait(500);
 say_stop("`3谢谢，一切保重。 ", &current_sprite);   
 &gold -= 100;
 move_stop(&current_sprite, 4, -50, 1);
 &story = 7;
 unfreeze(1);
 sp_hard(&dumb, 1);
  force_vision(0);
// sp_active(&current_sprite, 0);

  kill_this_task();
 return;
  }

 if (&result == 2)
  {
 wait(500);
 say_stop("怎么可以收那么多啊？！！",1);
 wait(500);
 say_stop("`3我的孩子们得吃饭的。", &current_sprite);
 wait(500);
 say_stop("国王知道你的这个'副业'吗？", 1);
 wait(500);
 say_stop("`3当然不知道。", &current_sprite);
 wait(500);
 say_stop("可恶....", 1);
  }


 unfreeze(1);
}
